"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeHook = exports.loadPlugin = exports.PluginHook = exports.plugin = void 0;
const path_1 = require("path");
var PluginHook;
(function (PluginHook) {
    PluginHook["PRE"] = "pre";
    PluginHook["CONFIG"] = "config";
    PluginHook["POST"] = "post";
})(PluginHook = exports.PluginHook || (exports.PluginHook = {}));
function loadPlugin(root, options) {
    if (options.plugin && !exports.plugin) {
        const pluginPath = path_1.resolve(root, options.plugin);
        exports.plugin = require(pluginPath);
    }
}
exports.loadPlugin = loadPlugin;
function executeHook(hook, data) {
    if (exports.plugin && exports.plugin[hook]) {
        return exports.plugin[hook](data);
    }
}
exports.executeHook = executeHook;
